<template>
  <div class="login">
    <img
      class="dragon"
      src="../assets/ressources/logo.png"
      alt="image logo team vdb"
    />
    <form @submit.prevent="login" class="form">
      <div class="box">
        <h1>Connexion à <br />Team VDB.</h1>

        <input
          type="email"
          name="email"
          value="email"
          v-model="loginEmail"
          onFocus="field_focus(this, 'email');"
          onblur="field_blur(this, 'email');"
          class="email"
        />

        <input
          type="password"
          name="password"
          value="password"
          v-model="loginPwd"
          onFocus="field_focus(this, 'email');"
          onblur="field_blur(this, 'email');"
          class="password"
        />

        <button type="submit" class="btn-success btn">Se Connecter</button>
      </div>
    </form>
    <img
      class="dragon"
      src="../assets/ressources/dragon.png"
      alt="image petit dragon"
    />
  </div>
</template>

<script>
import { auth, db } from "@/main";

export default {
  name: "Login",
  components: {},
  data() {
    return {
      loginEmail: "",
      loginPwd: "",
      //loginPseudo: ""
    };
  },
  methods: {
    // ****************************************************************************************
    // *                           Login avec mail et password => redirection sur /home       *
    // * **************************************************************************************
    login: function() {
      auth
        .signInWithEmailAndPassword(this.loginEmail, this.loginPwd)
        .then(() => {
          this.$router.replace("/home");
        });
    },
    // ***************************************************************************************
    // *                   Prévision connection avec compte google ( Team VDB V2)            *
    // * *************************************************************************************
    loginGoogle() {
      const googleProvider = new db.auth.GoogleAuthProvider();
      auth.signInWithPopup(googleProvider).then((user) => {
        this.$router.replace("/home");
        console.log(user);
      });
    },
  },
};
</script>

<style scoped>
.login {
  min-height: 100vh !important;
  background-image: url("../assets/ressources/onglet.png") !important;
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20%;
}
.form {
  display: flex;
  text-align: center;
  margin-top: 50px;
}

p {
  font-size: 12px;
  text-decoration: none;
  color: #ffffff;
}

h1 {
  font-size: 2em;
  color: #525252;
  font-family: "BrighlyCrush";
  font-weight: 1100;
  padding: 10px;
}

.box {
  background-image: url("../assets/ressources/chartreuse.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  width: 300px;
  border-radius: 6px;
  margin: 0 auto 0 auto;
  padding: 0px 0px 70px 0px;
  border: #93cf96 4px solid;
}

.email {
  background: rgba(13, 170, 136, 0.5);
  border: rgb(12, 12, 12) 3px solid;
  border-bottom: rgb(10, 10, 10) 4px solid;
  padding: 8px;
  width: 250px;
  color: #fcf9f9;
  margin-top: 10px;
  font-size: 2em;
  border-radius: 4px;
  font-family: "BlueEyes";
}

.password {
  background: rgba(145, 233, 214, 0.5);
  border: rgb(12, 12, 12) 3px solid;
  border-bottom: rgb(10, 10, 10) 4px solid;
  padding: 8px;
  width: 250px;
  color: #fcf9f9;
  margin-top: 10px;
  font-size: 1.3em;
  border-radius: 4px;
  font-family: "BlueEyes";
}

.btn {
  background: #2ecc71;
  width: 125px;
  padding-top: 5px;
  padding-bottom: 5px;
  color: white;
  border-radius: 4px;
  border: #27ae60 1px solid;

  margin-top: 20px;
  margin-bottom: 20px;
  float: left;
  margin-left: 16px;
  font-weight: 800;
  font-size: 0.8em;
}

.btn:hover {
  background: #7fe6ab;
}

.dragon {
  height: 250px;
  margin-top: auto;
}
</style>
